Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Support
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
P
Postgres FD Implementation
Project overview
Project overview
Details
Activity
Releases
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Issues
0
Issues
0
List
Boards
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Analytics
Analytics
CI / CD
Repository
Value Stream
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Abuhujair Javed
Postgres FD Implementation
Commits
4d9eede8
Commit
4d9eede8
authored
Jun 18, 2003
by
Bruce Momjian
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
Move thread checking code farther down in conflgure.
parent
f374a9da
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
429 additions
and
429 deletions
+429
-429
configure
configure
+405
-405
configure.in
configure.in
+24
-24
No files found.
configure
View file @
4d9eede8
...
...
@@ -3588,342 +3588,6 @@ rm -f conftest*
#
# Pthreads
#
# For each platform, we need to know about any special compile and link
# libraries, and whether the normal C function names are thread-safe.
#
NEED_REENTRANT_FUNC_NAMES
=
no
if
test
"
$with_threads
"
=
yes
;
then
echo
"
$as_me
:
$LINENO
: checking for ANSI C header files"
>
&5
echo
$ECHO_N
"checking for ANSI C header files...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_header_stdc
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
_ACEOF
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_cpp
conftest.
$ac_ext
\"
"
)
>
&5
(
eval
$ac_cpp
conftest.
$ac_ext
)
2>conftest.er1
ac_status
=
$?
egrep
-v
'^ *\+'
conftest.er1
>
conftest.err
rm
-f
conftest.er1
cat
conftest.err
>
&5
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
>
/dev/null
;
then
if
test
-s
conftest.err
;
then
ac_cpp_err
=
$ac_c_preproc_warn_flag
else
ac_cpp_err
=
fi
else
ac_cpp_err
=
yes
fi
if
test
-z
"
$ac_cpp_err
"
;
then
ac_cv_header_stdc
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_cv_header_stdc
=
no
fi
rm
-f
conftest.err conftest.
$ac_ext
if
test
$ac_cv_header_stdc
=
yes
;
then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <string.h>
_ACEOF
if
(
eval
"
$ac_cpp
conftest.
$ac_ext
"
)
2>&5 |
egrep
"memchr"
>
/dev/null 2>&1
;
then
:
else
ac_cv_header_stdc
=
no
fi
rm
-f
conftest
*
fi
if
test
$ac_cv_header_stdc
=
yes
;
then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <stdlib.h>
_ACEOF
if
(
eval
"
$ac_cpp
conftest.
$ac_ext
"
)
2>&5 |
egrep
"free"
>
/dev/null 2>&1
;
then
:
else
ac_cv_header_stdc
=
no
fi
rm
-f
conftest
*
fi
if
test
$ac_cv_header_stdc
=
yes
;
then
# /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
if
test
"
$cross_compiling
"
=
yes
;
then
:
else
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <ctype.h>
#if ((' ' & 0x0FF) == 0x020)
# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#else
# define ISLOWER(c) (('a' <= (c) && (c) <= 'i')
\
|| ('j' <= (c) && (c) <= 'r')
\
|| ('s' <= (c) && (c) <= 'z'))
# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif
#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int
main ()
{
int i;
for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i))
|| toupper (i) != TOUPPER (i))
exit(2);
exit (0);
}
_ACEOF
rm
-f
conftest
$ac_exeext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_link
\"
"
)
>
&5
(
eval
$ac_link
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'./conftest$ac_exeext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
:
else
echo
"
$as_me
: program exited with status
$ac_status
"
>
&5
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
(
exit
$ac_status
)
ac_cv_header_stdc
=
no
fi
rm
-f
core core.
*
*
.core conftest
$ac_exeext
conftest.
$ac_objext
conftest.
$ac_ext
fi
fi
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_header_stdc
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_header_stdc
"
>
&6
if
test
$ac_cv_header_stdc
=
yes
;
then
cat
>>
confdefs.h
<<
\
_ACEOF
#define STDC_HEADERS 1
_ACEOF
fi
# On IRIX 5.3, sys/types and inttypes.h are conflicting.
for
ac_header
in
sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h
\
inttypes.h stdint.h unistd.h
do
as_ac_Header
=
`
echo
"ac_cv_header_
$ac_header
"
|
$as_tr_sh
`
echo
"
$as_me
:
$LINENO
: checking for
$ac_header
"
>
&5
echo
$ECHO_N
"checking for
$ac_header
...
$ECHO_C
"
>
&6
if
eval
"test
\"\$
{
$as_ac_Header
+set}
\"
= set"
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
$ac_includes_default
#include <
$ac_header
>
_ACEOF
rm
-f
conftest.
$ac_objext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_compile
\"
"
)
>
&5
(
eval
$ac_compile
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'test -s conftest.$ac_objext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
eval
"
$as_ac_Header
=yes"
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
eval
"
$as_ac_Header
=no"
fi
rm
-f
conftest.
$ac_objext
conftest.
$ac_ext
fi
echo
"
$as_me
:
$LINENO
: result:
`
eval echo
'${'
$as_ac_Header
'}'
`
"
>
&5
echo
"
${
ECHO_T
}
`
eval echo
'${'
$as_ac_Header
'}'
`
"
>
&6
if
test
`
eval echo
'${'
$as_ac_Header
'}'
`
=
yes
;
then
cat
>>
confdefs.h
<<
_ACEOF
#define `echo "HAVE_
$ac_header
" |
$as_tr_cpp
` 1
_ACEOF
fi
done
if
test
"
${
ac_cv_header_pthread_h
+set
}
"
=
set
;
then
echo
"
$as_me
:
$LINENO
: checking for pthread.h"
>
&5
echo
$ECHO_N
"checking for pthread.h...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_header_pthread_h
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_header_pthread_h
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_header_pthread_h
"
>
&6
else
# Is the header compilable?
echo
"
$as_me
:
$LINENO
: checking pthread.h usability"
>
&5
echo
$ECHO_N
"checking pthread.h usability...
$ECHO_C
"
>
&6
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
$ac_includes_default
#include <pthread.h>
_ACEOF
rm
-f
conftest.
$ac_objext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_compile
\"
"
)
>
&5
(
eval
$ac_compile
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'test -s conftest.$ac_objext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
ac_header_compiler
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_header_compiler
=
no
fi
rm
-f
conftest.
$ac_objext
conftest.
$ac_ext
echo
"
$as_me
:
$LINENO
: result:
$ac_header_compiler
"
>
&5
echo
"
${
ECHO_T
}
$ac_header_compiler
"
>
&6
# Is the header present?
echo
"
$as_me
:
$LINENO
: checking pthread.h presence"
>
&5
echo
$ECHO_N
"checking pthread.h presence...
$ECHO_C
"
>
&6
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <pthread.h>
_ACEOF
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_cpp
conftest.
$ac_ext
\"
"
)
>
&5
(
eval
$ac_cpp
conftest.
$ac_ext
)
2>conftest.er1
ac_status
=
$?
egrep
-v
'^ *\+'
conftest.er1
>
conftest.err
rm
-f
conftest.er1
cat
conftest.err
>
&5
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
>
/dev/null
;
then
if
test
-s
conftest.err
;
then
ac_cpp_err
=
$ac_c_preproc_warn_flag
else
ac_cpp_err
=
fi
else
ac_cpp_err
=
yes
fi
if
test
-z
"
$ac_cpp_err
"
;
then
ac_header_preproc
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_header_preproc
=
no
fi
rm
-f
conftest.err conftest.
$ac_ext
echo
"
$as_me
:
$LINENO
: result:
$ac_header_preproc
"
>
&5
echo
"
${
ECHO_T
}
$ac_header_preproc
"
>
&6
# So? What about this header?
case
$ac_header_compiler
:
$ac_header_preproc
in
yes
:no
)
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: accepted by the compiler, rejected by the preprocessor!"
>
&5
echo
"
$as_me
: WARNING: pthread.h: accepted by the compiler, rejected by the preprocessor!"
>
&2
;
}
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: proceeding with the preprocessor's result"
>
&5
echo
"
$as_me
: WARNING: pthread.h: proceeding with the preprocessor's result"
>
&2
;
}
;;
no:yes
)
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: present but cannot be compiled"
>
&5
echo
"
$as_me
: WARNING: pthread.h: present but cannot be compiled"
>
&2
;
}
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: check for missing prerequisite headers?"
>
&5
echo
"
$as_me
: WARNING: pthread.h: check for missing prerequisite headers?"
>
&2
;
}
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: proceeding with the preprocessor's result"
>
&5
echo
"
$as_me
: WARNING: pthread.h: proceeding with the preprocessor's result"
>
&2
;
}
;;
esac
echo
"
$as_me
:
$LINENO
: checking for pthread.h"
>
&5
echo
$ECHO_N
"checking for pthread.h...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_header_pthread_h
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
ac_cv_header_pthread_h
=
$ac_header_preproc
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_header_pthread_h
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_header_pthread_h
"
>
&6
fi
if
test
$ac_cv_header_pthread_h
=
yes
;
then
:
else
{
{
echo
"
$as_me
:
$LINENO
: error: pthread.h not found, required for --with-threads"
>
&5
echo
"
$as_me
: error: pthread.h not found, required for --with-threads"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
if
test
"
$SUPPORTS_THREADS
"
!=
yes
;
then
{
{
echo
"
$as_me
:
$LINENO
: error:
Cannot enable threads on your platform.
Please report your platform threading info to the PostgreSQL mailing lists
so it can be added to the next release. Report any compile flags, link flags,
functions, or libraries required for threading support.
"
>
&5
echo
"
$as_me
: error:
Cannot enable threads on your platform.
Please report your platform threading info to the PostgreSQL mailing lists
so it can be added to the next release. Report any compile flags, link flags,
functions, or libraries required for threading support.
"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
fi
#
# Assignments
#
...
...
@@ -7100,108 +6764,305 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
ac_cv_lib_ssl_SSL_library_init
=
yes
ac_cv_lib_ssl_SSL_library_init
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_cv_lib_ssl_SSL_library_init
=
no
fi
rm
-f
conftest.
$ac_objext
conftest
$ac_exeext
conftest.
$ac_ext
LIBS
=
$ac_check_lib_save_LIBS
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_lib_ssl_SSL_library_init
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_lib_ssl_SSL_library_init
"
>
&6
if
test
$ac_cv_lib_ssl_SSL_library_init
=
yes
;
then
cat
>>
confdefs.h
<<
_ACEOF
#define HAVE_LIBSSL 1
_ACEOF
LIBS
=
"-lssl
$LIBS
"
else
{
{
echo
"
$as_me
:
$LINENO
: error: library 'ssl' is required for OpenSSL"
>
&5
echo
"
$as_me
: error: library 'ssl' is required for OpenSSL"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
fi
if
test
"
$with_pam
"
=
yes
;
then
echo
"
$as_me
:
$LINENO
: checking for pam_start in -lpam"
>
&5
echo
$ECHO_N
"checking for pam_start in -lpam...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_lib_pam_pam_start
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
ac_check_lib_save_LIBS
=
$LIBS
LIBS
=
"-lpam
$LIBS
"
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char pam_start ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
pam_start ();
;
return 0;
}
_ACEOF
rm
-f
conftest.
$ac_objext
conftest
$ac_exeext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_link
\"
"
)
>
&5
(
eval
$ac_link
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'test -s conftest$ac_exeext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
ac_cv_lib_pam_pam_start
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_cv_lib_pam_pam_start
=
no
fi
rm
-f
conftest.
$ac_objext
conftest
$ac_exeext
conftest.
$ac_ext
LIBS
=
$ac_check_lib_save_LIBS
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_lib_pam_pam_start
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_lib_pam_pam_start
"
>
&6
if
test
$ac_cv_lib_pam_pam_start
=
yes
;
then
cat
>>
confdefs.h
<<
_ACEOF
#define HAVE_LIBPAM 1
_ACEOF
LIBS
=
"-lpam
$LIBS
"
else
{
{
echo
"
$as_me
:
$LINENO
: error: library 'pam' is required for PAM"
>
&5
echo
"
$as_me
: error: library 'pam' is required for PAM"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
fi
##
## Header files
##
echo
"
$as_me
:
$LINENO
: checking for ANSI C header files"
>
&5
echo
$ECHO_N
"checking for ANSI C header files...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_header_stdc
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
_ACEOF
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_cpp
conftest.
$ac_ext
\"
"
)
>
&5
(
eval
$ac_cpp
conftest.
$ac_ext
)
2>conftest.er1
ac_status
=
$?
egrep
-v
'^ *\+'
conftest.er1
>
conftest.err
rm
-f
conftest.er1
cat
conftest.err
>
&5
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
>
/dev/null
;
then
if
test
-s
conftest.err
;
then
ac_cpp_err
=
$ac_c_preproc_warn_flag
else
ac_cpp_err
=
fi
else
ac_cpp_err
=
yes
fi
if
test
-z
"
$ac_cpp_err
"
;
then
ac_cv_header_stdc
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_cv_header_stdc
=
no
fi
rm
-f
conftest.err conftest.
$ac_ext
if
test
$ac_cv_header_stdc
=
yes
;
then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <string.h>
_ACEOF
if
(
eval
"
$ac_cpp
conftest.
$ac_ext
"
)
2>&5 |
egrep
"memchr"
>
/dev/null 2>&1
;
then
:
else
ac_cv_header_stdc
=
no
fi
rm
-f
conftest
*
fi
if
test
$ac_cv_header_stdc
=
yes
;
then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <stdlib.h>
_ACEOF
if
(
eval
"
$ac_cpp
conftest.
$ac_ext
"
)
2>&5 |
egrep
"free"
>
/dev/null 2>&1
;
then
:
else
ac_cv_header_stdc
=
no
fi
rm
-f
conftest
*
fi
if
test
$ac_cv_header_stdc
=
yes
;
then
# /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
if
test
"
$cross_compiling
"
=
yes
;
then
:
else
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <ctype.h>
#if ((' ' & 0x0FF) == 0x020)
# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#else
# define ISLOWER(c) (('a' <= (c) && (c) <= 'i')
\
|| ('j' <= (c) && (c) <= 'r')
\
|| ('s' <= (c) && (c) <= 'z'))
# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif
#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int
main ()
{
int i;
for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i))
|| toupper (i) != TOUPPER (i))
exit(2);
exit (0);
}
_ACEOF
rm
-f
conftest
$ac_exeext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_link
\"
"
)
>
&5
(
eval
$ac_link
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'./conftest$ac_exeext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
:
else
echo
"
$as_me
: failed program was:"
>
&5
echo
"
$as_me
: program exited with status
$ac_status
"
>
&5
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_cv_lib_ssl_SSL_library_init
=
no
(
exit
$ac_status
)
ac_cv_header_stdc
=
no
fi
rm
-f
conftest.
$ac_objext
conftest
$ac_exeext
conftest.
$ac_ext
LIBS
=
$ac_check_lib_save_LIBS
rm
-f
core core.
*
*
.core conftest
$ac_exeext
conftest.
$ac_objext
conftest.
$ac_ext
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_lib_ssl_SSL_library_init
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_lib_ssl_SSL_library_init
"
>
&6
if
test
$ac_cv_lib_ssl_SSL_library_init
=
yes
;
then
cat
>>
confdefs.h
<<
_ACEOF
#define HAVE_LIBSSL 1
_ACEOF
fi
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_header_stdc
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_header_stdc
"
>
&6
if
test
$ac_cv_header_stdc
=
yes
;
then
LIBS
=
"-lssl
$LIBS
"
cat
>>
confdefs.h
<<
\
_ACEOF
#define STDC_HEADERS 1
_ACEOF
else
{
{
echo
"
$as_me
:
$LINENO
: error: library 'ssl' is required for OpenSSL"
>
&5
echo
"
$as_me
: error: library 'ssl' is required for OpenSSL"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
fi
# On IRIX 5.3, sys/types and inttypes.h are conflicting.
if
test
"
$with_pam
"
=
yes
;
then
echo
"
$as_me
:
$LINENO
: checking for pam_start in -lpam"
>
&5
echo
$ECHO_N
"checking for pam_start in -lpam...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_lib_pam_pam_start
+set
}
"
=
set
;
then
for
ac_header
in
sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h
\
inttypes.h stdint.h unistd.h
do
as_ac_Header
=
`
echo
"ac_cv_header_
$ac_header
"
|
$as_tr_sh
`
echo
"
$as_me
:
$LINENO
: checking for
$ac_header
"
>
&5
echo
$ECHO_N
"checking for
$ac_header
...
$ECHO_C
"
>
&6
if
eval
"test
\"\$
{
$as_ac_Header
+set}
\"
= set"
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
ac_check_lib_save_LIBS
=
$LIBS
LIBS
=
"-lpam
$LIBS
"
cat
>
conftest.
$ac_ext
<<
_ACEOF
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
$ac_includes_default
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char pam_start ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
pam_start ();
;
return 0;
}
#include <
$ac_header
>
_ACEOF
rm
-f
conftest.
$ac_objext
conftest
$ac_exeext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_
link
\"
"
)
>
&5
(
eval
$ac_
link
)
2>&5
rm
-f
conftest.
$ac_objext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_
compile
\"
"
)
>
&5
(
eval
$ac_
compile
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'test -s conftest
$ac_exe
ext'
{
ac_try
=
'test -s conftest
.$ac_obj
ext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
ac_cv_lib_pam_pam_start
=
yes
eval
"
$as_ac_Header
=yes"
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_cv_lib_pam_pam_start
=
no
eval
"
$as_ac_Header
=no"
fi
rm
-f
conftest.
$ac_objext
conftest
$ac_exeext
conftest.
$ac_ext
LIBS
=
$ac_check_lib_save_LIBS
rm
-f
conftest.
$ac_objext
conftest.
$ac_ext
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_lib_pam_pam_start
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_lib_pam_pam_start
"
>
&6
if
test
$ac_cv_lib_pam_pam_start
=
yes
;
then
echo
"
$as_me
:
$LINENO
: result:
`
eval echo
'${'
$as_ac_Header
'}'
`
"
>
&5
echo
"
${
ECHO_T
}
`
eval echo
'${'
$as_ac_Header
'}'
`
"
>
&6
if
test
`
eval echo
'${'
$as_ac_Header
'}'
`
=
yes
;
then
cat
>>
confdefs.h
<<
_ACEOF
#define
HAVE_LIBPAM
1
#define
`echo "HAVE_
$ac_header
" |
$as_tr_cpp
`
1
_ACEOF
LIBS
=
"-lpam
$LIBS
"
else
{
{
echo
"
$as_me
:
$LINENO
: error: library 'pam' is required for PAM"
>
&5
echo
"
$as_me
: error: library 'pam' is required for PAM"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
fi
done
##
## Header files
##
...
...
@@ -12819,6 +12680,145 @@ _ACEOF
fi
#
# Pthreads
#
# For each platform, we need to know about any special compile and link
# libraries, and whether the normal C function names are thread-safe.
#
NEED_REENTRANT_FUNC_NAMES
=
no
if
test
"
$with_threads
"
=
yes
;
then
if
test
"
${
ac_cv_header_pthread_h
+set
}
"
=
set
;
then
echo
"
$as_me
:
$LINENO
: checking for pthread.h"
>
&5
echo
$ECHO_N
"checking for pthread.h...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_header_pthread_h
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_header_pthread_h
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_header_pthread_h
"
>
&6
else
# Is the header compilable?
echo
"
$as_me
:
$LINENO
: checking pthread.h usability"
>
&5
echo
$ECHO_N
"checking pthread.h usability...
$ECHO_C
"
>
&6
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
$ac_includes_default
#include <pthread.h>
_ACEOF
rm
-f
conftest.
$ac_objext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_compile
\"
"
)
>
&5
(
eval
$ac_compile
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'test -s conftest.$ac_objext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
ac_header_compiler
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_header_compiler
=
no
fi
rm
-f
conftest.
$ac_objext
conftest.
$ac_ext
echo
"
$as_me
:
$LINENO
: result:
$ac_header_compiler
"
>
&5
echo
"
${
ECHO_T
}
$ac_header_compiler
"
>
&6
# Is the header present?
echo
"
$as_me
:
$LINENO
: checking pthread.h presence"
>
&5
echo
$ECHO_N
"checking pthread.h presence...
$ECHO_C
"
>
&6
cat
>
conftest.
$ac_ext
<<
_ACEOF
#line
$LINENO
"configure"
#include "confdefs.h"
#include <pthread.h>
_ACEOF
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_cpp
conftest.
$ac_ext
\"
"
)
>
&5
(
eval
$ac_cpp
conftest.
$ac_ext
)
2>conftest.er1
ac_status
=
$?
egrep
-v
'^ *\+'
conftest.er1
>
conftest.err
rm
-f
conftest.er1
cat
conftest.err
>
&5
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
>
/dev/null
;
then
if
test
-s
conftest.err
;
then
ac_cpp_err
=
$ac_c_preproc_warn_flag
else
ac_cpp_err
=
fi
else
ac_cpp_err
=
yes
fi
if
test
-z
"
$ac_cpp_err
"
;
then
ac_header_preproc
=
yes
else
echo
"
$as_me
: failed program was:"
>
&5
cat
conftest.
$ac_ext
>
&5
ac_header_preproc
=
no
fi
rm
-f
conftest.err conftest.
$ac_ext
echo
"
$as_me
:
$LINENO
: result:
$ac_header_preproc
"
>
&5
echo
"
${
ECHO_T
}
$ac_header_preproc
"
>
&6
# So? What about this header?
case
$ac_header_compiler
:
$ac_header_preproc
in
yes
:no
)
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: accepted by the compiler, rejected by the preprocessor!"
>
&5
echo
"
$as_me
: WARNING: pthread.h: accepted by the compiler, rejected by the preprocessor!"
>
&2
;
}
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: proceeding with the preprocessor's result"
>
&5
echo
"
$as_me
: WARNING: pthread.h: proceeding with the preprocessor's result"
>
&2
;
}
;;
no:yes
)
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: present but cannot be compiled"
>
&5
echo
"
$as_me
: WARNING: pthread.h: present but cannot be compiled"
>
&2
;
}
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: check for missing prerequisite headers?"
>
&5
echo
"
$as_me
: WARNING: pthread.h: check for missing prerequisite headers?"
>
&2
;
}
{
echo
"
$as_me
:
$LINENO
: WARNING: pthread.h: proceeding with the preprocessor's result"
>
&5
echo
"
$as_me
: WARNING: pthread.h: proceeding with the preprocessor's result"
>
&2
;
}
;;
esac
echo
"
$as_me
:
$LINENO
: checking for pthread.h"
>
&5
echo
$ECHO_N
"checking for pthread.h...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_header_pthread_h
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
ac_cv_header_pthread_h
=
$ac_header_preproc
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_header_pthread_h
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_header_pthread_h
"
>
&6
fi
if
test
$ac_cv_header_pthread_h
=
yes
;
then
:
else
{
{
echo
"
$as_me
:
$LINENO
: error: pthread.h not found, required for --with-threads"
>
&5
echo
"
$as_me
: error: pthread.h not found, required for --with-threads"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
if
test
"
$SUPPORTS_THREADS
"
!=
yes
;
then
{
{
echo
"
$as_me
:
$LINENO
: error:
Cannot enable threads on your platform.
Please report your platform threading info to the PostgreSQL mailing lists
so it can be added to the next release. Report any compile flags, link flags,
functions, or libraries required for threading support.
"
>
&5
echo
"
$as_me
: error:
Cannot enable threads on your platform.
Please report your platform threading info to the PostgreSQL mailing lists
so it can be added to the next release. Report any compile flags, link flags,
functions, or libraries required for threading support.
"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
fi
#
# Check for re-entrant versions of certain functions
#
...
...
@@ -17701,8 +17701,6 @@ s,@with_pam@,$with_pam,;t t
s,@with_rendezvous@,
$with_rendezvous
,;t t
s,@with_openssl@,
$with_openssl
,;t t
s,@ELF_SYS@,
$ELF_SYS
,;t t
s,@THREAD_CFLAGS@,
$THREAD_CFLAGS
,;t t
s,@THREAD_LIBS@,
$THREAD_LIBS
,;t t
s,@AWK@,
$AWK
,;t t
s,@FLEX@,
$FLEX
,;t t
s,@FLEXFLAGS@,
$FLEXFLAGS
,;t t
...
...
@@ -17735,6 +17733,8 @@ s,@python_moduleexecdir@,$python_moduleexecdir,;t t
s,@python_includespec@,
$python_includespec
,;t t
s,@python_libspec@,
$python_libspec
,;t t
s,@LIBOBJS@,
$LIBOBJS
,;t t
s,@THREAD_CFLAGS@,
$THREAD_CFLAGS
,;t t
s,@THREAD_LIBS@,
$THREAD_LIBS
,;t t
s,@HAVE_POSIX_SIGNALS@,
$HAVE_POSIX_SIGNALS
,;t t
s,@MSGFMT@,
$MSGFMT
,;t t
s,@MSGMERGE@,
$MSGMERGE
,;t t
...
...
configure.in
View file @
4d9eede8
dnl Process this file with autoconf to produce a configure script.
dnl $Header: /cvsroot/pgsql/configure.in,v 1.26
5 2003/06/15 04:07:58
momjian Exp $
dnl $Header: /cvsroot/pgsql/configure.in,v 1.26
6 2003/06/18 16:04:15
momjian Exp $
dnl
dnl Developers, please strive to achieve this order:
dnl
...
...
@@ -551,29 +551,6 @@ else
fi])
AC_SUBST(ELF_SYS)
#
# Pthreads
#
# For each platform, we need to know about any special compile and link
# libraries, and whether the normal C function names are thread-safe.
#
NEED_REENTRANT_FUNC_NAMES=no
if test "$with_threads" = yes; then
AC_CHECK_HEADER(pthread.h, [], [AC_MSG_ERROR([pthread.h not found, required for --with-threads])])
if test "$SUPPORTS_THREADS" != yes; then
AC_MSG_ERROR([
Cannot enable threads on your platform.
Please report your platform threading info to the PostgreSQL mailing lists
so it can be added to the next release. Report any compile flags, link flags,
functions, or libraries required for threading support.
])
fi
fi
AC_SUBST(THREAD_CFLAGS)
AC_SUBST(THREAD_LIBS)
#
# Assignments
#
...
...
@@ -981,6 +958,29 @@ AC_CHECK_FUNCS(atexit, [],
AC_FUNC_FSEEKO
#
# Pthreads
#
# For each platform, we need to know about any special compile and link
# libraries, and whether the normal C function names are thread-safe.
#
NEED_REENTRANT_FUNC_NAMES=no
if test "$with_threads" = yes; then
AC_CHECK_HEADER(pthread.h, [], [AC_MSG_ERROR([pthread.h not found, required for --with-threads])])
if test "$SUPPORTS_THREADS" != yes; then
AC_MSG_ERROR([
Cannot enable threads on your platform.
Please report your platform threading info to the PostgreSQL mailing lists
so it can be added to the next release. Report any compile flags, link flags,
functions, or libraries required for threading support.
])
fi
fi
AC_SUBST(THREAD_CFLAGS)
AC_SUBST(THREAD_LIBS)
#
# Check for re-entrant versions of certain functions
#
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment